# IRdD3DGrid Interface Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | SetGridParams ([in] BSTR bstrType,[in] RtUlong TilesX,[in] RtUlong TilesY,[in] RtFloat Zoom,[in] RtUlong Repeat)
HRESULT | GetGridParams ([out] BSTR *bstrType,[out] RtUlong *TilesX,[out] RtUlong *TilesY,[out] RtFloat *Zoom,[out] RtUlong *Repeat)
HRESULT | SetColor1 ([in] RtUlong AmbientColor,[in] RtUlong DiffuseColor)
HRESULT | GetColor1 ([out] RtUlong *AmbientColor,[out] RtUlong *DiffuseColor)
HRESULT | SetColor2 ([in] RtUlong AmbientColor,[in] RtUlong DiffuseColor)
HRESULT | GetColor2 ([out] RtUlong *AmbientColor,[out] RtUlong *DiffuseColor)
HRESULT | SetEnabled ([in] RtBOOL bEnabled)
HRESULT | GetEnabled ([out] RtBOOL *bEnabled)
HRESULT | SetWireframe ([in] RtBOOL bEnabled)
HRESULT | GetWireframe ([out] RtBOOL *bEnabled)
HRESULT | SetTwoSided ([in] RtBOOL bEnabled)
HRESULT | GetTwoSided ([out] RtBOOL *bEnabled)
HRESULT | SetGridID ([in] DWORD dwID)
HRESULT | GetGridID ([out] DWORD *dwID)

## Detailed Description

Grid is a special object which represents base ground in the 3D space.

## Member Function Documentation

HRESULT IRdD3DGrid::Clear | ( | void |  | ) |

Clear the dataobject

HRESULT IRdD3DGrid::SetGridParams | ( | [in] BSTR | bstrType,
|  | [in] RtUlong | TilesX,
|  | [in] RtUlong | TilesY,
|  | [in] RtFloat | Zoom,
|  | [in] RtUlong | Repeat |
| ) |  |  |

Set the grid parameters. Grid is split into groups for better performance. You define properties of a single group and define how many times this group is repeated in the space. Use groups which contain approx. 1000 triangles for best performance.

Parameters:

  | bstrType | specifies the grid type. Allowed types are: XY, YZ, XZ
  | TilesX | sets the number of tiles in horizontal (first) direction in one grid group
  | TilesY | sets the number of tiles in vertical (second) direction in one grid group
  | Zoom | scales one grid group from range 0...1 to range 0...Zoom.
  | Repeat | specifies how many grid groups are there in both directions.

HRESULT IRdD3DGrid::GetGridParams | ( | [out] BSTR * | bstrType,
|  | [out] RtUlong * | TilesX,
|  | [out] RtUlong * | TilesY,
|  | [out] RtFloat * | Zoom,
|  | [out] RtUlong * | Repeat |
| ) |  |  |

Get the grid parameters.

See also:
  SetGridParams for more details about parameters

HRESULT IRdD3DGrid::SetColor1 | ( | [in] RtUlong | AmbientColor,
|  | [in] RtUlong | DiffuseColor |
| ) |  |  |

Set the color of the first grid tile type

Parameters:

  | AmbientColor | specifies the Color32 ambient color of the grid.
  | DiffuseColor | specifies the Color32 diffuse color of the grid.

HRESULT IRdD3DGrid::GetColor1 | ( | [out] RtUlong * | AmbientColor,
|  | [out] RtUlong * | DiffuseColor |
| ) |  |  |

Get the color of the first grid tile

Parameters:

  | AmbientColor | is filled with the Color32 ambient color of the grid.
  | DiffuseColor | is filled with the Color32 diffuse color of the grid.

HRESULT IRdD3DGrid::SetColor2 | ( | [in] RtUlong | AmbientColor,
|  | [in] RtUlong | DiffuseColor |
| ) |  |  |

Set the color of the second grid tile

Parameters:

  | AmbientColor | specifies the Color32 ambient color of the grid.
  | DiffuseColor | specifies the Color32 diffuse color of the grid.

HRESULT IRdD3DGrid::GetColor2 | ( | [out] RtUlong * | AmbientColor,
|  | [out] RtUlong * | DiffuseColor |
| ) |  |  |

Get the color of the second grid tile

Parameters:

  | AmbientColor | is filled with the Color32 ambient color of the grid.
  | DiffuseColor | is filled with the Color32 diffuse color of the grid.

HRESULT IRdD3DGrid::SetEnabled | ( | [in] RtBOOL | bEnabled | ) |

Enable/Disable the grid.

Parameters:

  | bEnabled | specifies whether the grid is visible (TRUE) or invisible (FALSE)

HRESULT IRdD3DGrid::GetEnabled | ( | [out] RtBOOL * | bEnabled | ) |

Get status of Enable/Disable the grid.

Parameters:

  | bEnabled | is filed with the grid status - visible (TRUE) or invisible (FALSE)

HRESULT IRdD3DGrid::SetWireframe | ( | [in] RtBOOL | bEnabled | ) |

Enable/Disable the wireframe grid.

Parameters:

  | bEnabled | specifies whether the grid is visible (TRUE) or invisible (FALSE)

HRESULT IRdD3DGrid::GetWireframe | ( | [out] RtBOOL * | bEnabled | ) |

Get status of Enable/Disable the wireframe grid.

Parameters:

  | bEnabled | is filed with the grid status - visible (TRUE) or invisible (FALSE)

HRESULT IRdD3DGrid::SetTwoSided | ( | [in] RtBOOL | bEnabled | ) |

Enable/Disable the two-sided mode grid.

HRESULT IRdD3DGrid::GetTwoSided | ( | [out] RtBOOL * | bEnabled | ) |

Get status of Enable/Disable two-sided mode grid.

HRESULT IRdD3DGrid::SetGridID | ( | [in] DWORD | dwID | ) |

Set grid D3D ID. This is internal rendering engine method.

HRESULT IRdD3DGrid::GetGridID | ( | [out] DWORD * | dwID | ) |

Get grid D3D ID. This is internal rendering engine method.